|  | Home · All Classes · Modules

# QTextBlockGroup Class Reference
[QtGui module]

The QTextBlockGroup class provides a container for text blocks within a QTextDocument. More...

Inherits QTextObject.

Inherited by QTextList.

### Methods

- __init__ (self, QTextDocument doc)
- blockFormatChanged (self, QTextBlock block)
- blockInserted (self, QTextBlock block)
- list-of-QTextBlock blockList (self)
- blockRemoved (self, QTextBlock block)

## Detailed Description

The QTextBlockGroup class provides a container for text blocks within a QTextDocument.

Block groups can be used to organize blocks of text within a document. They maintain an up-to-date list of the text blocks that belong to them, even when text blocks are being edited.

Each group has a parent document which is specified when the group is constructed.

Text blocks can be inserted into a group with blockInserted(), and removed with blockRemoved(). If a block's format is changed, blockFormatChanged() is called.

The list of blocks in the group is returned by blockList(). Note that the blocks in the list are not necessarily adjacent elements in the document; for example, the top-level items in a multi-level list will be separated by the items in lower levels of the list.

## Method Documentation

### QTextBlockGroup.__init__ (self, QTextDocument doc)

Creates a new new block group for the given document.

Warning: This function should only be called from QTextDocument.createObject().

### QTextBlockGroup.blockFormatChanged (self, QTextBlock block)

This function is called whenever the specified block of text is changed. The text block is a member of this group.

The base class implementation does nothing.

### QTextBlockGroup.blockInserted (self, QTextBlock block)

Appends the given block to the end of the group.

Warning: If you reimplement this function you must call the base class implementation.

### list-of-QTextBlock QTextBlockGroup.blockList (self)

Returns a (possibly empty) list of all the blocks that are part of the block group.

### QTextBlockGroup.blockRemoved (self, QTextBlock block)

Removes the given block from the group; the block itself is not deleted, it simply isn't a member of this group anymore.